/*
	MovieClipLoader test code for GNU Flash Player
	Written (2016) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
	
	Released to public domain under Creative Commons Zero 1.0
	(https://creativecommons.org/publicdomain/zero/1.0/)
*/
var testloader:MovieClipLoader;
var placeholder:MovieClip;

placeholder = createEmptyMovieClip("placeholder", getNextHighestDepth());
testloader = new MovieClipLoader();
testloader.onLoadStart = function(target:MovieClip) {
	trace("testloader: download started");
};
testloader.onLoadProgress = function(target:MovieClip, loaded:Number, total:Number) {
	trace("testloader: downloading: " + loaded + "/" + total);
};
testloader.onLoadComplete = function(target:MovieClip, status:Number) {
	trace("testloader: download completed: status " + status);
};
testloader.onLoadError = function(target:MovieClip, msg:String, status:Number) {
	trace("testloader: download failed: (status " + status + ") " + msg);
};
testloader.onLoadInit = function(target:MovieClip) {
	trace("testloader: started action");
};
trace("testloader: starting download");
testloader.loadClip("http://localhost:8085/testpattern.swf", placeholder);

